OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
op::FaceDetectorOpenCV Class Reference

`#include <faceDetectorOpenCV.hpp>`

## Public Member Functions
| FaceDetectorOpenCV (const std::string &modelFolder)
virtual | ~FaceDetectorOpenCV ()
std::vector< Rectangle< float > > | detectFaces (const cv::Mat &cvInputData)

## Constructor & Destructor Documentation

op::FaceDetectorOpenCV::FaceDetectorOpenCV | ( | const std::string & | modelFolder | ) |
| explicit

virtual op::FaceDetectorOpenCV::~FaceDetectorOpenCV | ( |  | ) |
| virtual

## Member Function Documentation

std::vector<Rectangle<float> > op::FaceDetectorOpenCV::detectFaces | ( | const cv::Mat & | cvInputData | ) |

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/face/faceDetectorOpenCV.hpp